org.h2.expression.aggregate

## Enum AggregateType

- java.lang.Object
- - java.lang.Enum<AggregateType>
  - - org.h2.expression.aggregate.AggregateType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AggregateType>

    public enum AggregateType
    extends java.lang.Enum<AggregateType>

The type of an aggregate function.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANY` The aggregate type for ANY(expression).
`ARRAY_AGG` The aggregate type for ARRAY_AGG(expression).
`AVG` The aggregate type for AVG(expression).
`BIT_AND` The aggregate type for BOOL_AND(expression).
`BIT_OR` The aggregate type for BOOL_OR(expression).
`COUNT` The aggregate type for COUNT(expression).
`COUNT_ALL` The aggregate type for COUNT(*).
`CUME_DIST` The type for CUME_DIST() hypothetical set function.
`DENSE_RANK` The type for DENSE_RANK() hypothetical set function.
`ENVELOPE` The aggregate type for ENVELOPE(expression).
`EVERY` The aggregate type for EVERY(expression).
`HISTOGRAM` The aggregate type for HISTOGRAM(expression).
`LISTAGG` The aggregate type for LISTAGG(...).
`MAX` The aggregate type for MAX(expression).
`MEDIAN` The aggregate type for MEDIAN(expression).
`MIN` The aggregate type for MIN(expression).
`MODE` The aggregate type for MODE(expression).
`PERCENT_RANK` The type for PERCENT_RANK() hypothetical set function.
`PERCENTILE_CONT` The aggregate type for PERCENTILE_CONT(expression).
`PERCENTILE_DISC` The aggregate type for PERCENTILE_DISC(expression).
`RANK` The type for RANK() hypothetical set function.
`SELECTIVITY` The aggregate type for SELECTIVITY(expression).
`STDDEV_POP` The aggregate type for STDDEV_POP(expression).
`STDDEV_SAMP` The aggregate type for STDDEV_SAMP(expression).
`SUM` The aggregate type for SUM(expression).
`VAR_POP` The aggregate type for VAR_POP(expression).
`VAR_SAMP` The aggregate type for VAR_SAMP(expression).

### Method Summary

Methods
`static AggregateType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AggregateType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COUNT_ALL

    public static final AggregateType COUNT_ALL

The aggregate type for COUNT(*).

#### COUNT

    public static final AggregateType COUNT

The aggregate type for COUNT(expression).

#### SUM

    public static final AggregateType SUM

The aggregate type for SUM(expression).

#### MIN

    public static final AggregateType MIN

The aggregate type for MIN(expression).

#### MAX

    public static final AggregateType MAX

The aggregate type for MAX(expression).

#### AVG

    public static final AggregateType AVG

The aggregate type for AVG(expression).

#### STDDEV_POP

    public static final AggregateType STDDEV_POP

The aggregate type for STDDEV_POP(expression).

#### STDDEV_SAMP

    public static final AggregateType STDDEV_SAMP

The aggregate type for STDDEV_SAMP(expression).

#### VAR_POP

    public static final AggregateType VAR_POP

The aggregate type for VAR_POP(expression).

#### VAR_SAMP

    public static final AggregateType VAR_SAMP

The aggregate type for VAR_SAMP(expression).

#### ANY

    public static final AggregateType ANY

The aggregate type for ANY(expression).

#### EVERY

    public static final AggregateType EVERY

The aggregate type for EVERY(expression).

#### BIT_OR

    public static final AggregateType BIT_OR

The aggregate type for BOOL_OR(expression).

#### BIT_AND

    public static final AggregateType BIT_AND

The aggregate type for BOOL_AND(expression).

#### SELECTIVITY

    public static final AggregateType SELECTIVITY

The aggregate type for SELECTIVITY(expression).

#### HISTOGRAM

    public static final AggregateType HISTOGRAM

The aggregate type for HISTOGRAM(expression).

#### RANK

    public static final AggregateType RANK

The type for RANK() hypothetical set function.

#### DENSE_RANK

    public static final AggregateType DENSE_RANK

The type for DENSE_RANK() hypothetical set function.

#### PERCENT_RANK

    public static final AggregateType PERCENT_RANK

The type for PERCENT_RANK() hypothetical set function.

#### CUME_DIST

    public static final AggregateType CUME_DIST

The type for CUME_DIST() hypothetical set function.

#### PERCENTILE_CONT

    public static final AggregateType PERCENTILE_CONT

The aggregate type for PERCENTILE_CONT(expression).

#### PERCENTILE_DISC

    public static final AggregateType PERCENTILE_DISC

The aggregate type for PERCENTILE_DISC(expression).

#### MEDIAN

    public static final AggregateType MEDIAN

The aggregate type for MEDIAN(expression).

#### LISTAGG

    public static final AggregateType LISTAGG

The aggregate type for LISTAGG(...).

#### ARRAY_AGG

    public static final AggregateType ARRAY_AGG

The aggregate type for ARRAY_AGG(expression).

#### MODE

    public static final AggregateType MODE

The aggregate type for MODE(expression).

#### ENVELOPE

    public static final AggregateType ENVELOPE

The aggregate type for ENVELOPE(expression).

### Method Detail

#### values

    public static AggregateType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AggregateType c : AggregateType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AggregateType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null